SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# SDH::cSDHErrorCommunication Class Reference

Derived exception class for exceptions related to communication between the SDHLibrary and the SDH. More...

`#include <sdhexception.h>`

Inheritance diagram for SDH::cSDHErrorCommunication:
[legend]
Collaboration diagram for SDH::cSDHErrorCommunication:
[legend]

List of all members.

## Public Member Functions
| cSDHErrorCommunication (cMsg const &_msg)
| cSDHErrorCommunication (char const *_type, cMsg const &_msg)

## Detailed Description

Derived exception class for exceptions related to communication between the SDHLibrary and the SDH.

## Constructor & Destructor Documentation

SDH::cSDHErrorCommunication::cSDHErrorCommunication | ( | cMsg const & | _msg | ) | `[inline]`

SDH::cSDHErrorCommunication::cSDHErrorCommunication | ( | char const * | _type,
|  | cMsg const & | _msg
| ) |  | `[inline]`

The documentation for this class was generated from the following file:

- sdh/sdhexception.h